aboutsummaryrefslogtreecommitdiff
path: root/install.sh
diff options
context:
space:
mode:
authordec05eba <dec05eba@protonmail.com>2022-09-30 23:36:33 +0200
committerdec05eba <dec05eba@protonmail.com>2022-09-30 23:36:33 +0200
commit3326fcbaf403056c66438fddd3588858494d9fa4 (patch)
tree9988a1070301991bd257c92f1ddce4171e06e893 /install.sh
parent21771665dd0dda4f10c8a8e7da45575c5a370807 (diff)
Add install script
Diffstat (limited to 'install.sh')
-rwxr-xr-xinstall.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/install.sh b/install.sh
new file mode 100755
index 0000000..777e8a5
--- /dev/null
+++ b/install.sh
@@ -0,0 +1,14 @@
+#!/bin/sh -e
+
+script_dir=$(dirname "$0")
+cd "$script_dir"
+
+[ $(id -u) -ne 0 ] && echo "You need root privileges to run the install script" && exit 1
+
+./build.sh
+
+install -Dm755 "gpu-screen-recorder-gtk" "/usr/bin/gpu-screen-recorder-gtk"
+install -Dm644 "gpu-screen-recorder-gtk.desktop" "/usr/share/applications/com.dec05eba.gpu_screen_recorder.desktop"
+install -Dm644 com.dec05eba.gpu_screen_recorder.appdata.xml "/usr/share/metainfo/com.dec05eba.gpu_screen_recorder.appdata.xml"
+install -Dm644 icons/hicolor/64x64/apps/com.dec05eba.gpu_screen_recorder.png "/usr/share/icons/hicolor/64x64/apps/com.dec05eba.gpu_screen_recorder.png"
+install -Dm644 icons/hicolor/128x128/apps/com.dec05eba.gpu_screen_recorder.png "/usr/share/icons/hicolor/128x128/apps/com.dec05eba.gpu_screen_recorder.png" \ No newline at end of file